# Class: oTimelineLayer

## $. oTimelineLayer

$.oTimelineLayer Base Class

#### new $.oTimelineLayer(index, oTimelineObject)

openHarmony/openHarmony_timeline.js, line 65
  The base class for the $.oTimelineLayer.

  Name | Type | Description
  --- | --- | ---
  `index` | int | The index of the layer on the timeline.
  `oTimelineObject` | oTimeline | The timeline associated to this layer.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `index` | int | The index of the layer on the timeline.
  `timeline` | oTimeline | The timeline associated to this layer.
  `layerType` | string | The type of layer, either node or column.
  `node` | oNode | The node associated to the layer.
  `attribute` | oAttribute | The associated attributes to the layer.
  `column` | oColumn | The column associated to the layer.